<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_SeatEquipment StructType
 * @subpackage Structs
 */
class JP_SeatEquipment extends AbstractStructBase
{
    /**
     * The Compartments
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Compartment
     */
    public $Compartments;
    /**
     * The Type
     * @var string
     */
    public $Type;
    /**
     * Constructor method for JP_SeatEquipment
     * @uses JP_SeatEquipment::setCompartments()
     * @uses JP_SeatEquipment::setType()
     * @param \ArrayType\ArrayOfJP_Compartment $compartments
     * @param string $type
     */
    public function __construct(\ArrayType\ArrayOfJP_Compartment $compartments = null, $type = null)
    {
        $this
            ->setCompartments($compartments)
            ->setType($type);
    }
    /**
     * Get Compartments value
     * @return \ArrayType\ArrayOfJP_Compartment|null
     */
    public function getCompartments()
    {
        return $this->Compartments;
    }
    /**
     * Set Compartments value
     * @param \ArrayType\ArrayOfJP_Compartment $compartments
     * @return \StructType\JP_SeatEquipment
     */
    public function setCompartments(\ArrayType\ArrayOfJP_Compartment $compartments = null)
    {
        $this->Compartments = $compartments;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \StructType\JP_SeatEquipment
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_SeatEquipment
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
